org.encog.app.generate.program

## Class EncogProgramArg

- java.lang.Object
- - org.encog.app.generate.program.EncogProgramArg

-     public class EncogProgramArg
      extends Object

  A function argument for Encog created code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncogProgramArg(double value)` Construct the argument.
    `EncogProgramArg(EncogArgType type, Object value)` Construct the argument.
    `EncogProgramArg(int value)` Construct a floating point arguement from an integer.
    `EncogProgramArg(Object argValue)` Construct using an object.
    `EncogProgramArg(String value)` Construct a string argument.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncogArgType` | `getType()`
    `Object` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncogProgramArg

          public EncogProgramArg(double value)

      Construct the argument. Default to float type.
      Parameters:
        `value` - The argument value.

    - #### EncogProgramArg

          public EncogProgramArg(EncogArgType type,
                         Object value)

      Construct the argument.
      Parameters:
        `type` - The type of argument.
        `value` - The value of the argument.

    - #### EncogProgramArg

          public EncogProgramArg(int value)

      Construct a floating point arguement from an integer.
      Parameters:
        `value` -

    - #### EncogProgramArg

          public EncogProgramArg(Object argValue)

      Construct using an object.
      Parameters:
        `argValue` - The argument value.

    - #### EncogProgramArg

          public EncogProgramArg(String value)

      Construct a string argument.
      Parameters:
        `value` - The string value.

  - ### Method Detail

    - #### getType

          public EncogArgType getType()

      Returns:
        The type of argument.

    - #### getValue

          public Object getValue()

      Returns:
        The value.

Copyright © 2014. All Rights Reserved.